Bug 1007506 - [RHEVM] [webadmin] [UI] Remove custom MAC address checkbox and Example text from Blank Template NIC
[RHEVM] [webadmin] [UI] Remove custom MAC address checkbox and Example text f...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: Lior Vernia
Martin Pavlik
network
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 11:44 EDT by Martin Pavlik
Modified: 2016-02-10 14:53 EST (History)
10 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-10 02:28:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (184.19 KB, image/png)
2013-09-12 11:44 EDT, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19716 None None None Never

  None (edit)
Description Martin Pavlik 2013-09-12 11:44:10 EDT
Created attachment 796919 [details]
screenshot 1

Description of problem:
If user goes to Templates -> Blank -> Network interfaces -> nic1 -> Edit
the dialog contains checkbox Custom MAC address and example text for MAC address Example: 00:14:4a:23:67:55 (see screenshot)

both should be removed from Blank template.

It does not make sense to create Blank template with custom MAC address which would cause all newly created VMs to have NIC with same MAC.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.21.master.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. Templates -> Blank -> Network interfaces -> nic1 -> Edit

Actual results:
the dialog contains checkbox Custom MAC address and example text for MAC address Example: 00:14:4a:23:67:55 (see screenshot)


Expected results:
checkbox and example text removed

Additional info:

When checking on_QA, check also user portal
Comment 1 Lior Vernia 2013-09-25 11:17:06 EDT
Hmmm, I'm not convinced it's a bug, at least not as it's currently phrased. Your argument isn't special for the Blank template, it doesn't make much sense to set a custom MAC address for any template.

However, by default it isn't checked, which caters the common use case, and I don't see a reason to block that functionality if somebody wants to take advantage of it. Same goes for Blank template - by default it doesn't have a custom MAC address, but someone might find the possibility useful.

Thoughts?
Comment 2 Martin Pavlik 2013-09-26 03:18:20 EDT
Reason why I created this bug is that, there is a checkbox for Custom MAC address, but there is no actual field to fill the custom MAC address in. So I considered the checkbox and example text as leftovers which should be removed. BTW this applies to all templates, not just the blank one.

Either there is a missing filed for custom MAC address or redundant checkbox and example text.

As you wrote there is no point to specify custom MAC address for any template. 

So in my opinion having custom MAC address on any template is just confusing and redundant for users.

Please choose if we need to add a field for custom MAC address or remove checkbox and example text.
Comment 3 Lior Vernia 2013-09-26 06:02:28 EDT
Ahh, okay, I didn't notice that the text box was missing. I'll find out what the original intention was, and either add the text box or remove the checkbox and text.

Note You need to log in before you can comment on or make changes to this bug.